## pass-audit 1.2

=== Makefile ===
DESTDIR ?= /

all:
	@python3 setup.py build
	@echo "pass-audit was built successfully. You can now install it wit \"make install\""

install:
	@python3 setup.py install --root="$(DESTDIR)" --optimize=1 --skip-build
	@echo "pass-audit is installed succesfully"

local:
	@python3 setup.py install --user --optimize=1
	@echo "pass-audit is localy installed succesfully."
	@echo "Remember to set PASSWORD_STORE_ENABLE_EXTENSIONS to 'true' for the extension to be enabled."

tests:
	@python3 -m green -vvv --run-coverage --termcolor --processes $(shell nproc)
	@coverage html

lint:
	@prospector --profile .prospector.yaml --strictness veryhigh \
		-t dodgy -t mccabe -t pep257 -t pep8 -t pylint \
		-t profile-validator -t pyflakes -t pyroma \
		pass_audit/
	@prospector --profile .prospector.yaml --strictness veryhigh \
		-t dodgy -t mccabe -t pep257 -t pep8 -t pylint \
		-t profile-validator -t pyflakes \
		setup.py
	@prospector --profile .prospector.yaml  --strictness veryhigh \
		-t dodgy -t mccabe -t mypy -t pep257 -t pep8 -t pylint \
		-t profile-validator -t pyflakes -t pyroma \
		tests/

security:
	@bandit -r pass_audit tests setup.py

clean:
	@rm -rf .coverage .mypy_cache .pybuild .ropeproject build config.json \
		debian/.debhelper debian/debhelper* debian/pass-extension-audit* \
		debian/files *.deb *.buildinfo *.changes \
		dist *.egg-info htmlcov pass_audit/**/__pycache__/ */__pycache__/ \
		__pycache__ session.baseline.sqlite session.sqlite \
		tests/assets/gnupg/random_seed tests/assets/test-results/ \
		tests/**/__pycache__/

.PHONY: install uninstall local tests tests_bash $(T) lint security clean

=== debian/changelog ===
pass-audit (1.2-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Source-only upload for testing migration.

 -- Boyuan Yang <byang@debian.org>  Wed, 03 Aug 2022 12:06:48 -0400

pass-audit (1.2-1) unstable; urgency=medium

  * Initial release (Closes: #1002618)

 -- Thomas Perret <thomas.perret@phyx.fr>  Sun, 26 Dec 2021 15:08:12 +0100

=== debian/control ===
Source: pass-audit
Section: misc
Priority: optional
Maintainer: Thomas Perret <thomas.perret@phyx.fr>
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 python3-all,
 python3-setuptools,
 python3-requests,
 python3-zxcvbn,
 pass (>= 1.7.0),
Standards-Version: 4.6.0.1
Homepage: https://github.com/roddhjav/pass-audit
Vcs-Browser: https://salsa.debian.org/debian/pass-audit
Vcs-Git: https://salsa.debian.org/debian/pass-audit.git
Rules-Requires-Root: no

Package: pass-extension-audit
Architecture: all
Depends: ${python3:Depends}, ${misc:Depends}, pass (>= 1.7.0)
Description: Pass extension for auditing your password repository
 pass audit is a password-store extension for auditing your passwordstore
 repository. Passwords will be checked against the Python implementation
 of Dropbox' zxcvbn algorithm and Troy Hunt's Have I Been Pwned Service.
 It supports safe breached password detection from haveibeenpwned.com using
 a K-anonymity method. Using this method, you do not need to (fully) trust
 the server that stores the breached password. You should read the security
 consideration section for more information.
 .
 This package installs the pass extension

=== debian/rules ===
#!/usr/bin/make -f

# tests fail with python3.10 due to a weird error involving gpg-agent
# even weirder is that they pass in autopkgtest using the same schroot
export PYBUILD_DISABLE_python3=test

%:
	dh $@ --with python3 --buildsystem=pybuild

=== debian/tests/control ===
Tests: unittests
Depends: @, python3-all, python3-pytest, python3-pytest-cov

=== debian/watch ===
version=4

opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%pass-audit-$1.tar.gz%, \
   pgpsigurlmangle=s/pass-audit-(\d\S*)\.tar\.gz/pass-audit-$1\.tar\.gz\.asc/" \
   https://github.com/roddhjav/pass-audit/releases \
   (?:.*?/)?pass-audit-v?(\d[\d.]*)\.tar\.gz debian uupdate
